<?php

/**
 *
 * phpMyORM configuration file, generated by the iTop configuration wizard
 *
 * The file is used in MetaModel::LoadConfig() which does all the necessary initialization job
 *
 */

$MySettings = array(
	'app_root_url' => 'http://localhost/itop/',
	'php_path' => 'php',
	'session_name' => 'iTop-27f1',
	'access_mode' => '3',
	'access_message' => 'iTop is temporarily frozen, please wait... (the admin team)',
	'online_help' => 'http://www.combodo.com/itop-help',
	'synchro_trace' => 'none',
	'link_set_item_separator' => '|',
	'link_set_attribute_separator' => ';',
	'link_set_value_separator' => ':',
	'link_set_attribute_qualifier' => '\'',
	'cron_max_execution_time' => '600',
	'email_asynchronous' => 0,
	'apc_cache.enabled' => 1,
	'apc_cache.query_ttl' => '3600',
	'timezone' => 'Europe/Paris',
	'cas_include_path' => '/usr/share/php',
	'cas_version' => '2.0',
	'cas_host' => '',
	'cas_port' => '443',
	'cas_context' => '',
	'cas_server_ca_cert_path' => '',
	'cas_logout_redirect_service' => '',
	'cas_memberof' => '',
	'cas_user_synchro' => 0,
	'cas_profile_pattern' => '/^cn=([^,]+),/',
	'cas_debug' => 0,
	'deadline_format' => '$difference$',
	'buttons_position' => 'both',
	'shortcut_actions' => 'UI:Menu:Modify,UI:Menu:New',
	'db_host' => 'localhost',
	'db_user' => 'root',
	'db_pwd' => '',
	'db_name' => 'itop',
	'db_subname' => '',
	'db_character_set' => 'utf8',
	'db_collation' => 'utf8_unicode_ci',

	'log_global' => 1,
	'log_notification' => 1,
	'log_issue' => 1,
	'log_web_service' => 1,
	'min_display_limit' => 10,
	'max_display_limit' => 15,
	'standard_reload_interval' => 300,
	'fast_reload_interval' => 60,
	'secure_connection_required' => false,
	'default_language' => 'EN US',
	'allowed_login_types' => 'form|basic|external',
	'encryption_key' => '@iT0pEncr1pti0n!',
	'csv_import_charsets' => array (
),
);

$MyModuleSettings = array(
	'itop-attachments' => array (
		'allowed_classes' => array (
  0 => 'Ticket',
),
		'position' => 'relations',
	),
	'combodo-email-synchro' => array (
		'debug' => true,
		'save_errors_to' => '',
		'notify_errors_to' => '',
		'notify_errors_from' => '',
	),
	'itop-simple-email-synchro' => array (
		'pop3_server' => 'pop.gmail.com',
		'pop3_port' => 995,
		'pop3_login' => 'agustin.terrero@gmail.com',
		'pop3_pwd' => 'accesosol',
		'pop3_auth_option' => 'USER',
		'debug' => true,
		'exclude_attachment_types' => array (
  0 => 'application/exe',
),
		'default_values' => array (
  'org_id' => 'Demo',
  'service_id' => 'Telecom and connectivity',
  'servicesubcategory_id' => 'Troubleshooting',
  'workgroup_id' => 'NW Support',
),
	),
);

/**
 *
 * Data model modules to be loaded. Names are specified as relative paths
 *
 */
$MyModules = array(
	'application' => array (
		'application/transaction.class.inc.php',
		'application/menunode.class.inc.php',
		'application/user.preferences.class.inc.php',
		'application/audit.rule.class.inc.php',
		'application/query.class.inc.php',
		'core/event.class.inc.php',
		'core/action.class.inc.php',
		'core/trigger.class.inc.php',
		'synchro/synchrodatasource.class.inc.php',
	),
	'business' => array (
		'modules/authent-external/model.authent-external.php',
		'modules/authent-local/model.authent-local.php',
		'modules/itop-attachments/model.attachments.php',
		'modules/itop-config-mgmt-1.0.0/model.itop-config-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/model.itop-service-mgmt.php',
		'modules/itop-sla-computation/model.itop-sla-computation.php',
		'modules/itop-tickets-1.0.0/model.itop-tickets.php',
		'modules/itop-welcome-itil/model.itop-welcome-itil.php',
		'modules/combodo-email-synchro/model.email-synchro.php',
		'modules/itop-change-mgmt-1.0.0/model.itop-change-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/model.itop-incident-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/model.itop-knownerror-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/model.itop-problem-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/model.itop-request-mgmt.php',
		'modules/itop-simple-email-synchro/model.itop-simple-email-synchro.php',
	),
	'webservices' => array (
		'webservices/webservices.basic.php',
	),
	'addons' => array (
		'user rights' => 'addons/userrights/userrightsprofile.class.inc.php',
	),
	'dictionaries' => array (
		'dictionaries/de.dictionary.itop.core.php',
		'dictionaries/de.dictionary.itop.ui.php',
		'dictionaries/dictionary.itop.core.php',
		'dictionaries/dictionary.itop.ui.php',
		'dictionaries/es_cr.dictionary.itop.core.php',
		'dictionaries/es_cr.dictionary.itop.ui.php',
		'dictionaries/fr.dictionary.itop.core.php',
		'dictionaries/fr.dictionary.itop.ui.php',
		'dictionaries/hu.dictionary.itop.core.php',
		'dictionaries/hu.dictionary.itop.ui.php',
		'dictionaries/it.dictionary.itop.core.php',
		'dictionaries/it.dictionary.itop.ui.php',
		'dictionaries/ja.dictionary.itop.core.php',
		'dictionaries/ja.dictionary.itop.ui.php',
		'dictionaries/pt_br.dictionary.itop.core.php',
		'dictionaries/pt_br.dictionary.itop.ui.php',
		'dictionaries/ru.dictionary.itop.core.php',
		'dictionaries/ru.dictionary.itop.ui.php',
		'dictionaries/tr.dictionary.itop.core.php',
		'dictionaries/tr.dictionary.itop.ui.php',
		'dictionaries/zh.dictionary.itop.core.php',
		'dictionaries/zh.dictionary.itop.ui.php',
		'modules/authent-external/de.dict.authent-external.php',
		'modules/authent-external/en.dict.authent-external.php',
		'modules/authent-external/fr.dict.authent-external.php',
		'modules/authent-external/hu.dict.authent-external.php',
		'modules/authent-external/it.dict.authent-external.php',
		'modules/authent-external/ja.dict.authent-external.php',
		'modules/authent-external/pt_br.dict.authent-external.php',
		'modules/authent-external/ru.dict.authent-external.php',
		'modules/authent-external/tr.dict.authent-external.php',
		'modules/authent-external/zh.dict.authent-external.php',
		'modules/authent-local/de.dict.authent-local.php',
		'modules/authent-local/en.dict.authent-local.php',
		'modules/authent-local/fr.dict.authent-local.php',
		'modules/authent-local/hu.dict.authent-local.php',
		'modules/authent-local/it.dict.authent-local.php',
		'modules/authent-local/ja.dict.authent-local.php',
		'modules/authent-local/pt_br.dict.authent-local.php',
		'modules/authent-local/ru.dict.authent-local.php',
		'modules/authent-local/tr.dict.authent-local.php',
		'modules/authent-local/zh.dict.authent-local.php',
		'modules/itop-attachments/en.dict.attachments.php',
		'modules/itop-attachments/fr.dict.attachments.php',
		'modules/itop-config-mgmt-1.0.0/de.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/en.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/es_cr.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/fr.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/hu.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/it.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/ja.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/pt_br.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/ru.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/tr.dict.itop-config-mgmt.php',
		'modules/itop-config-mgmt-1.0.0/zh.dict.itop-config-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/de.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/en.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/es_cr.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/fr.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/hu.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/it.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/ja.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/pt_br.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/ru.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/tr.dict.itop-service-mgmt.php',
		'modules/itop-service-mgmt-1.0.0/zh.dict.itop-service-mgmt.php',
		'modules/itop-sla-computation/en.dict.itop-sla-computation.php',
		'modules/itop-tickets-1.0.0/de.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/en.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/es_cr.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/fr.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/hu.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/it.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/ja.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/pt_br.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/ru.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/tr.dict.itop-tickets.php',
		'modules/itop-tickets-1.0.0/zh.dict.itop-tickets.php',
		'modules/itop-change-mgmt-1.0.0/de.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/en.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/es_cr.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/fr.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/hu.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/it.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/ja.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/pt_br.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/ru.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/tr.dict.itop-change-mgmt.php',
		'modules/itop-change-mgmt-1.0.0/zh.dict.itop-change-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/de.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/en.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/es_cr.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/fr.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/hu.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/it.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/ja.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/pt_br.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/ru.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/tr.dict.itop-incident-mgmt.php',
		'modules/itop-incident-mgmt-1.0.0/zh.dict.itop-incident-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/de.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/en.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/es_cr.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/fr.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/hu.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/it.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/pt_br.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/ru.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/tr.dict.itop-knownerror-mgmt.php',
		'modules/itop-knownerror-mgmt-1.0.0/zh.dict.itop-knownerror-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/de.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/en.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/es_cr.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/fr.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/hu.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/it.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/ja.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/pt_br.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/ru.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/tr.dict.itop-problem-mgmt.php',
		'modules/itop-problem-mgmt-1.0.0/zh.dict.itop-problem-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/de.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/en.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/es_cr.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/fr.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/hu.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/it.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/ja.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/pt_br.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/ru.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/tr.dict.itop-request-mgmt.php',
		'modules/itop-request-mgmt-1.0.0/zh.dict.itop-request-mgmt.php',
		'modules/itop-simple-email-synchro/en.dict.itop-simple-email-synchro.php',
	),
);
?>